Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class AstPluginDescriptorReader

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AstPluginDescriptorReader

All Implemented Interfaces:
  PluginDescriptorReader

    public class AstPluginDescriptorReader

Used to read plugin information from the AST.

Authors:
  Graeme Rocher

Since:
  1.3

Constructor Summary
`AstPluginDescriptorReader()`
`AstPluginDescriptorReader(groovy.lang.GroovyClassLoader cl)`

Method Summary
`GrailsPluginInfo` | `readPluginInfo(Resource pluginLocation)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AstPluginDescriptorReader

    public AstPluginDescriptorReader()

### AstPluginDescriptorReader

    public AstPluginDescriptorReader(groovy.lang.GroovyClassLoader cl)

Method Detail

### readPluginInfo

    public GrailsPluginInfo readPluginInfo(Resource pluginLocation)

Groovy Documentation